View topic - 2.49a ubuntu 9.04 32bit yafaray script error

2.49a ubuntu 9.04 32bit yafaray script error

Users-contributed CVS development builds. Post here your questions about compiling the source code.

2.49a ubuntu 9.04 32bit yafaray script error

Post Wed Jun 24, 2009 8:17 pm

hello there is a little problem I installed yesterday new blender 2.49a and when I tray to load yafaray interface script it didn't shows. Terminal gives message:

TypeError: in method 'yafrayInterface_t_loadPlugins', argument 2 of type 'char const *'
YafaRay 0.1.0 (315)
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/home/tomas/.blender/scripts/blender/yafaray_ui.py", line 2080, in <module>
TabMaterial = clTabMaterial()
File "/home/tomas/.blender/scripts/blender/yafaray_ui.py", line 250, in __init__
self.yRender = yaf_export.yafrayRender()
File "/usr/share/yafaray/blender/yaf_export.py", line 113, in __init__
self.yi.loadPlugins("")
File "/usr/share/yafaray/blender/yafrayinterface.py", line 97, in loadPlugins
def loadPlugins(*args): return _yafrayinterface.yafrayInterface_t_loadPlugins(*args)
TypeError: in method 'yafrayInterface_t_loadPlugins', argument 2 of type 'char const *'
User avatar
STart
 
Posts: 275
Joined: Mon Apr 20, 2009 1:37 pm

Re: 2.49a ubuntu 9.04 32bit yafaray script error

Post Wed Jun 24, 2009 9:05 pm

Which Blender did you install? The one using Python 2.5.2 or the one with 2.6.2?
bert_b
 
Posts: 265
Joined: Sun Mar 23, 2008 11:31 pm

Re: 2.49a ubuntu 9.04 32bit yafaray script error

Post Wed Jun 24, 2009 10:17 pm

installed version use 2.5.2 python which I found on blender site http://www.blender.org in download section.

http://download.blender.org/release/Ble ... 4_i386.deb
User avatar
STart
 
Posts: 275
Joined: Mon Apr 20, 2009 1:37 pm

Re: 2.49a ubuntu 9.04 32bit yafaray script error

Post Wed Jun 24, 2009 10:41 pm

As I can see from the Ubuntu site, 9.04 uses Python 2.6.2 (and so were the YafaRay packages probably compiled). So try Blender compiled with Python 2.6.2.
bert_b
 
Posts: 265
Joined: Sun Mar 23, 2008 11:31 pm

Re: 2.49a ubuntu 9.04 32bit yafaray script error

Post Thu Jun 25, 2009 3:20 pm

thank you now it works with python 2.6.2
User avatar
STart
 
Posts: 275
Joined: Mon Apr 20, 2009 1:37 pm


Return to Testing Builds



Who is online

Users browsing this forum: No registered users and 5 guests

cron